> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kathan.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# List Chats

> List all chat sessions for the user



## OpenAPI

````yaml api-reference/openapi.json get /chat
openapi: 3.1.0
info:
  title: Kathan API
  description: Building a fundamentally new kind of world for Conversational AI.
  version: 2.0.1
servers:
  - url: https://api.staging.kathan.tech
    description: Staging
security: []
tags:
  - name: Assistants
    description: Create and manage AI voice agents. Configure voice, LLM, knowledge bases.
  - name: Phone Numbers
    description: Configure and attach phone numbers to assistants. Twilio & Vobiz.
  - name: Calls
    description: Call logs, recordings, and outbound call management.
  - name: Knowledge Bases
    description: Upload documents, create knowledge bases, attach to assistants.
  - name: Campaigns
    description: Create and run outbound campaigns. Attach recipient lists, start/pause.
  - name: Recipient Lists
    description: Contact lists for campaigns. Create from CSV, manage recipients.
  - name: Chat
    description: Text chat with assistants. Create sessions, send messages.
  - name: API Keys
    description: Create and manage API keys for authentication.
  - name: Organizations
    description: Organization and team management. Invites, members.
  - name: Credits
    description: Usage credits and billing.
  - name: Users
    description: User profile and account management.
paths:
  /chat:
    get:
      tags:
        - Chat
        - Chat
      summary: List Chats
      description: List all chat sessions for the user
      operationId: list_chats_chat__get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: Number of chats to return
            default: 50
            title: Limit
          description: Number of chats to return
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: Number of chats to skip
            default: 0
            title: Offset
          description: Number of chats to skip
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChatResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
          XUserId: []
components:
  schemas:
    ChatResponse:
      properties:
        status:
          type: string
          title: Status
        data:
          anyOf:
            - type: object
            - type: 'null'
          title: Data
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      required:
        - status
      title: ChatResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication.
    XUserId:
      type: apiKey
      in: header
      name: X-User-ID
      description: Required user id for API key requests.

````